package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.generic.IFLT;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IFGE extends IfInstruction {
  IFGE() {}
  
  public IFGE(InstructionHandle target) {
    super((short)156, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIFGE(this);
  }
  
  public IfInstruction negate() {
    return new IFLT(getTarget());
  }
}
